> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 서비스 백업 구성 조회

> service Backup 구성을 반환합니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backupConfiguration:
    get:
      tags:
        - Backup
      summary: 서비스 백업 구성 조회
      description: service Backup 구성을 반환합니다.
      parameters:
        - description: service를 소유한 organization의 ID.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: service의 ID.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 모든 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/BackupConfiguration'
                  status:
                    description: HTTP 상태 코드.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명.
                    type: string
                  status:
                    description: HTTP 상태 코드.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 인식되는 문제로 인해 server가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    BackupConfiguration:
      properties:
        backupPeriodInHours:
          description: 각 백업 사이의 간격(시간 단위)입니다.
          type: number
        backupRetentionPeriodInHours:
          description: 백업을 사용할 수 있는 최소 기간(시간 단위)입니다.
          type: number
        backupStartTime:
          description: 백업을 수행할 시간(HH:MM 형식)입니다(UTC 시간대 기준). 지정하면 백업 주기가 24시간마다로 재설정됩니다.
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````